Page MenuHomePhabricator

Migrate services CI jobs to node 4.3
Closed, ResolvedPublic

Description

This is a Tracking-Neverending task.

Node 4.3 is available on Nodepool instances. It is time to carefully switch the various services to it (from Trusty and node 0.10.x). We have to migrate the source and deploy repositories jobs from the npm / XX-deploy-npm jobs to the new npm-node-4.3 and XX-deploy-npm-4.3 jobs.

In some cases, the deploy repository does not have any job which might prove challenging since the CI configuration is a bit scary (for deploy repos, the dev dependencies are injected from the source repo and a symlink package.json -> src/package.json needs to be present).

Summary of services under mediawiki/services that are defined in CI as of Feb. 15th 2016:

Related Objects

StatusSubtypeAssignedTask
Resolvedhashar
DuplicateNone
Resolvedhashar
Resolvedhashar
DuplicateNone
ResolvedKrinkle
Resolvedhashar
Resolvedmobrovac
Resolvedhashar
Resolvedhashar
Resolvedmobrovac
Resolvedhashar
Resolvedhashar
Resolvedmobrovac
Resolvedhashar
DuplicateNone
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar

Event Timeline

hashar updated the task description. (Show Details)Feb 15 2016, 4:59 PM
hashar set Security to None.

Change 271789 had a related patch set uploaded (by Hashar):
citoid/deploy: add node 4.3 job

https://gerrit.wikimedia.org/r/271789

Change 271789 merged by jenkins-bot:
citoid/deploy: add node 4.3 job

https://gerrit.wikimedia.org/r/271789

hashar updated the task description. (Show Details)Feb 19 2016, 3:07 PM

I have migrated cxserver (got switched to scb and NodeJS 4.3 on Wednesday).

Added NodeJS 4.3 job for citoid/deploy which pass.

Status:

Parsoid, gotta follow up on T126992 and find out a good overhaul of the current jobs.

Graphoid (T106668) is pending puppet work on T119693 which impact production.

Status update

Graphoid has NodeJs 4.3 jobs on both source and deploy repositories.

Mathoid deploy repo still fail for random reason: T124447

Mathoid can starts using librsvg which is now provided on the Nodepool instances

I haven't looked at Parsoid yet beside the initial task filling T126992

hashar updated the task description. (Show Details)Mar 15 2016, 2:46 PM
Krinkle removed a subscriber: Krinkle.Mar 17 2016, 12:28 AM
hashar updated the task description. (Show Details)May 25 2016, 8:58 AM
hashar closed this task as Resolved.May 25 2016, 8:07 PM
hashar updated the task description. (Show Details)

All identified repositories have been migrated. Parsoid has been done a minute or so ago T126992.

There are still services not running jobs, but that is/would be covered by other tasks.

Phabricator_maintenance renamed this task from [tracking] Migrate services CI jobs to node 4.3 to Migrate services CI jobs to node 4.3.Aug 13 2016, 9:08 PM